import { AlertService } from './../../../core/alert.service';
import { TechlifyUpdateService } from './../../techlify-update.service';
import { MatDialog } from '@angular/material/dialog';
import { EmbeddedViewRef, OnInit } from '@angular/core';
import { MatSnackBarRef } from '@angular/material/snack-bar';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class UpdateNotifierSnackComponent implements OnInit {
    data: any;
    private snackBarRef;
    private dialog;
    private router;
    private techlifyUpdateService;
    private alertService;
    maxDescriptionLength: any;
    descriptionText: any;
    techlifyUpdate: any;
    rootNavUrl: any;
    constructor(data: any, snackBarRef: MatSnackBarRef<EmbeddedViewRef<any>>, dialog: MatDialog, router: Router, techlifyUpdateService: TechlifyUpdateService, alertService: AlertService);
    ngOnInit(): void;
    close(): void;
    determineDescription(description: any): void;
    openUpdateView(): void;
    openUpdateHistory(): void;
    createUpdateViewRecord(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UpdateNotifierSnackComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UpdateNotifierSnackComponent, "app-update-notifier-snack", never, {}, {}, never, never, false, never>;
}
